﻿Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.SilverlightEdition

Partial Public Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not Page.IsPostBack Then
            Dim worldLayer As New ShapeFileFeatureLayer(MapPath("~/app_data/cntry02.shp"))
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.FromArgb(255, 243, 239, 228), GeoColor.FromArgb(255, 218, 193, 163), 1)
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
            Dim layerOverlay As New ServerLayerOverlay("NativeServer")
            layerOverlay.Layers.Add(worldLayer)

            SilverlightMapConnector1.ServerLayerOverlays.Add(layerOverlay)
        End If

    End Sub

End Class